Debian Bug report logs - #677393
smartmontools: FTBFS[kfreebsd]:

version graph

Package: src:smartmontools; Maintainer for src:smartmontools is Giuseppe Iuculano <iuculano@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 13 Jun 2012 14:39:12 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in versions smartmontools/5.42+svn3539-1, smartmontools/5.42+svn3561-1, smartmontools/5.42+svn3561-2

Fixed in version smartmontools/5.42+svn3561-3

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677393; Package src:smartmontools. (Wed, 13 Jun 2012 14:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>. (Wed, 13 Jun 2012 14:39:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: smartmontools: FTBFS[kfreebsd]:
Date: Wed, 13 Jun 2012 16:37:05 +0200
Package: src:smartmontools
Version: 5.42+svn3539-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

g++ -DHAVE_CONFIG_H -I.  -DBUILD_INFO='"(local build)"' -DSMARTMONTOOLS_SYSCONFDIR='"/etc"' -DSMARTMONTOOLS_DRIVEDBDIR='"/usr/share/smartmontools"' -DSMARTMONTOOLS_SAVESTATES='"/var/lib/smartmontools/smartd."' -DSMARTMONTOOLS_ATTRIBUTELOG='"/var/lib/smartmontools/attrlog."'      -g -O2 -Wall -W -MT cciss.o -MD -MP -MF .deps/cciss.Tpo -c -o cciss.o cciss.cpp
In file included from cciss.cpp:27:0:
cissio_freebsd.h:111:7: error: expected ';' at end of member declaration
cissio_freebsd.h:111:16: error: 'PeripDev' does not name a type
cissio_freebsd.h:116:7: error: expected ';' at end of member declaration
cissio_freebsd.h:116:7: error: redeclaration of '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:111:7: note: previous declaration '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:116:16: error: 'LogDev' does not name a type
cissio_freebsd.h:122:7: error: expected ';' at end of member declaration
cissio_freebsd.h:122:7: error: redeclaration of '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:111:7: note: previous declaration '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:122:16: error: 'LogUnit' does not name a type
cissio_freebsd.h:130:12: error: expected initializer before 'PhysDevAddr_struct'
cissio_freebsd.h:136:12: error: expected initializer before 'LogDevAddr_struct'
cissio_freebsd.h:141:5: error: 'PhysDevAddr_struct' does not name a type
cissio_freebsd.h:142:5: error: 'LogDevAddr_struct' does not name a type
cissio_freebsd.h:143:12: error: expected initializer before 'LUNAddr_struct'
cissio_freebsd.h:151:7: error: expected ';' at end of member declaration
cissio_freebsd.h:151:16: error: 'Type' does not name a type
cissio_freebsd.h:154:12: error: expected initializer before 'RequestBlock_struct'
cissio_freebsd.h:161:7: error: expected ';' at end of member declaration
cissio_freebsd.h:161:16: error: 'Common_Info' does not name a type
cissio_freebsd.h:167:7: error: expected ';' at end of member declaration
cissio_freebsd.h:167:7: error: redeclaration of '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:161:7: note: previous declaration '<anonymous union>::<anonymous struct> <anonymous union>::__packed'
cissio_freebsd.h:167:16: error: 'Invalid_Cmd' does not name a type
cissio_freebsd.h:168:12: error: expected initializer before 'MoreErrInfo_struct'
cissio_freebsd.h:175:5: error: 'MoreErrInfo_struct' does not name a type
cissio_freebsd.h:177:12: error: expected initializer before 'ErrorInfo_struct'
cissio_freebsd.h:180:5: error: 'LUNAddr_struct' does not name a type
cissio_freebsd.h:181:5: error: 'RequestBlock_struct' does not name a type
cissio_freebsd.h:182:5: error: 'ErrorInfo_struct' does not name a type
cissio_freebsd.h:185:12: error: expected initializer before 'IOCTL_Command_struct'
cissio_freebsd.h:189:5: error: 'LUNAddr_struct' does not name a type
cissio_freebsd.h:190:5: error: 'RequestBlock_struct' does not name a type
cissio_freebsd.h:191:5: error: 'ErrorInfo_struct' does not name a type
cissio_freebsd.h:194:12: error: expected initializer before 'IOCTL_Command_struct32'
cissio_freebsd.h:206:5: error: 'uint32_t' does not name a type
cissio_freebsd.h:207:5: error: 'uint32_t' does not name a type
cissio_freebsd.h:211:5: error: 'uint32_t' does not name a type
cciss.cpp: In function 'int cciss_sendpassthru(unsigned int, unsigned char*, unsigned int, char*, unsigned int, unsigned int, unsigned char*, int)':
cciss.cpp:144:5: error: 'IOCTL_Command_struct' was not declared in this scope
cciss.cpp:144:26: error: expected ';' before 'iocommand'
cciss.cpp:146:13: error: 'iocommand' was not declared in this scope
make[2]: *** [cciss.o] Error 1

Full build log a
https://buildd.debian.org/status/fetch.php?pkg=smartmontools&arch=kfreebsd-amd64&ver=5.42%2Bsvn3539-1&stamp=1338852976

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677393; Package src:smartmontools. (Tue, 10 Jul 2012 18:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Tue, 10 Jul 2012 18:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 677393@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 677393@bugs.debian.org
Cc: control@bugs.debian.org
Subject: smartmontools: FTBFS[kfreebsd]
Date: Tue, 10 Jul 2012 20:18:38 +0200 (CEST)
found 677393 5.42+svn3561-1
tags 677393 +patch
--

Hi,

also the current version fails to build on GNU/kFreeBSD.
It is due to incomplete

  [AS] os_freebsd.cpp: sync Areca code with linux version by adding optional
       enclosure number.

The small tweak bellow is sufficient.

It would be nice if you can ask upstream
to include this change.

Thanks in advance

	Petr

--- os_freebsd.cpp
+++ os_freebsd.cpp
@@ -1096,6 +1096,7 @@

 private:
   int m_disknum; ///< Disk number.
+  int m_encnum;  ///< Enclosure number.
 };




Marked as found in versions smartmontools/5.42+svn3561-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 10 Jul 2012 18:36:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 10 Jul 2012 18:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677393; Package src:smartmontools. (Mon, 16 Jul 2012 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. (Mon, 16 Jul 2012 10:03:03 GMT) Full text and rfc822 format available.

Message #19 received at 677393@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 677393@bugs.debian.org,control@bugs.debian.org,677393-submitter@bugs.debian.org
Subject: [743e0f4] Fix for Bug#677393 committed to git
Date: Mon, 16 Jul 2012 10:01:31 +0000
tags 677393 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Mon, 16 Jul 2012 12:00:06 +0200.
 The fix will be in the next upload. 
=========================================================================
Fixed FTBFS in kfreebsd

Closes: #677393
Thanks: Petr Salinger
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/smartmontools.git;a=commitdiff;h=743e0f4





Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2012 10:03:04 GMT) Full text and rfc822 format available.

Message sent on to debian-bsd@lists.debian.org:
Bug#677393. (Mon, 16 Jul 2012 10:03:07 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Mon, 16 Jul 2012 10:33:07 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 16 Jul 2012 10:33:08 GMT) Full text and rfc822 format available.

Message #29 received at 677393-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 677393-close@bugs.debian.org
Subject: Bug#677393: fixed in smartmontools 5.42+svn3561-2
Date: Mon, 16 Jul 2012 10:32:23 +0000
Source: smartmontools
Source-Version: 5.42+svn3561-2

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Jul 2012 12:06:15 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.42+svn3561-2
Distribution: unstable
Urgency: high
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 677393
Changes: 
 smartmontools (5.42+svn3561-2) unstable; urgency=high
 .
   * [743e0f4] Fixed FTBFS in kfreebsd.
     Thanks to Petr Salinger (Closes: #677393)
Checksums-Sha1: 
 332a8207bd176b4c5b8da8ba9eac66c42c0628c9 1611 smartmontools_5.42+svn3561-2.dsc
 df3896d40ad99eb6f1dd61125210065d5af1462e 39001 smartmontools_5.42+svn3561-2.debian.tar.gz
 370b28503c731e404e3a9e3d9972a9538f34fffb 593068 smartmontools_5.42+svn3561-2_i386.deb
Checksums-Sha256: 
 fe073fe426985358247d280336b14c4ce68e8d0b86f42c8749ad2b68c79e0d86 1611 smartmontools_5.42+svn3561-2.dsc
 bcbec8c95fb1171f6460557093c6d60799d7de9129dd6c7ded7121a4bc2244ef 39001 smartmontools_5.42+svn3561-2.debian.tar.gz
 33308a32c2fc58cf52d34421141310255f4483c04820aaee460c5b6c2a05cf89 593068 smartmontools_5.42+svn3561-2_i386.deb
Files: 
 5a7e4f3ed525209e98ddb5f187add0b1 1611 utils optional smartmontools_5.42+svn3561-2.dsc
 dd58155c11bf3d59be09f661927f12a1 39001 utils optional smartmontools_5.42+svn3561-2.debian.tar.gz
 d4c43e0c080ee63c1d5e9b7f09ce77f0 593068 utils optional smartmontools_5.42+svn3561-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAD6vYACgkQNxpp46476ao4GgCfX1QFeYSpfPo5Fllq6B8l1/7D
dB0An1+GDNgTJWhelxEuTYn/1NAZIkwJ
=8xsR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677393; Package src:smartmontools. (Mon, 16 Jul 2012 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 16 Jul 2012 12:21:03 GMT) Full text and rfc822 format available.

Message #34 received at 677393@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 677393@bugs.debian.org, iuculano@debian.org
Cc: control@lists.debian.org
Subject: Re: Bug#677393 not fixed
Date: Mon, 16 Jul 2012 14:01:40 +0200 (CEST)
found 677393 5.42+svn3561-2
--

Hi,

please use +/- original line number (1096) for patch context,
the line 466 is in a different class - freebsd_escalade_device,
but the class freebsd_areca_device have to be fixed for this.

It is just fixup to incomplete

  [AS] os_freebsd.cpp: sync Areca code with linux version by adding
       optional enclosure number.


Petr



Marked as found in versions smartmontools/5.42+svn3561-2; no longer marked as fixed in versions smartmontools/5.42+svn3561-2 and reopened. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 16 Jul 2012 12:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677393; Package src:smartmontools. (Mon, 16 Jul 2012 12:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. (Mon, 16 Jul 2012 12:33:13 GMT) Full text and rfc822 format available.

Message #41 received at 677393@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 677393@bugs.debian.org,control@bugs.debian.org,677393-submitter@bugs.debian.org
Subject: [f10872d] Fix for Bug#677393 committed to git
Date: Mon, 16 Jul 2012 12:31:43 +0000
tags 677393 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Mon, 16 Jul 2012 14:30:09 +0200.
 The fix will be in the next upload. 
=========================================================================
Really fix FTBFS on kfreebsd

Closes: #677393
Thanks: Petr Salinger
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/smartmontools.git;a=commitdiff;h=f10872d





Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2012 12:33:15 GMT) Full text and rfc822 format available.

Message sent on to debian-bsd@lists.debian.org:
Bug#677393. (Mon, 16 Jul 2012 12:33:17 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Mon, 16 Jul 2012 14:51:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 16 Jul 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #51 received at 677393-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 677393-close@bugs.debian.org
Subject: Bug#677393: fixed in smartmontools 5.42+svn3561-3
Date: Mon, 16 Jul 2012 14:47:11 +0000
Source: smartmontools
Source-Version: 5.42+svn3561-3

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Jul 2012 15:21:56 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.42+svn3561-3
Distribution: unstable
Urgency: high
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 677393
Changes: 
 smartmontools (5.42+svn3561-3) unstable; urgency=high
 .
   * [f10872d] Really fix FTBFS on kfreebsd.
     Thanks to Petr Salinger (Closes: #677393)
Checksums-Sha1: 
 be347e1bc6efb6cb0efe67e54eab3919da11f915 1611 smartmontools_5.42+svn3561-3.dsc
 9d56885a6ed972a0d6b80383057663abdea677e5 38917 smartmontools_5.42+svn3561-3.debian.tar.gz
 66d486d0c247eae3c5ccdb2b88fc533940eb1dc1 593118 smartmontools_5.42+svn3561-3_i386.deb
Checksums-Sha256: 
 5ac465fc338a561a43ff3e403c94e371829b4e93a0a0df87980eecd470643967 1611 smartmontools_5.42+svn3561-3.dsc
 531140c75909d5643471f84d36970415447c935f2d8fc1b2c598819d844d9db2 38917 smartmontools_5.42+svn3561-3.debian.tar.gz
 d46619bffc068f667dfd91911be3d4a2bf2fdc62448053327e79fc4e9b9b4aa7 593118 smartmontools_5.42+svn3561-3_i386.deb
Files: 
 74aab6bdac22cfb25a1af43fc1cb800b 1611 utils optional smartmontools_5.42+svn3561-3.dsc
 d932c730126f2ab9238cbc67a89c051a 38917 utils optional smartmontools_5.42+svn3561-3.debian.tar.gz
 7750f3fed83c1fb044467eb9deb1f40d 593118 utils optional smartmontools_5.42+svn3561-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAEIAYACgkQNxpp46476aovsgCZAdtUmB3QiuBa+pjbRoZ1uTGL
ifUAoISBTg6u4W9hcC52oaqzhiLrgldC
=J81v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Aug 2012 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:14:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.